incubator-bigtop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roman Shaposhnik <...@apache.org>
Subject Re: hive-metastore puppet module on bigotp-0.3.1
Date Tue, 02 Oct 2012 00:52:35 GMT
On Mon, Oct 1, 2012 at 5:12 PM, Jos Backus <jos@catnook.com> wrote:
> On Mon, Oct 1, 2012 at 4:43 PM, Konstantin Boudnik <cos@apache.org> wrote:
>
>>
>> It would be great to be able to use PostgreSQL, but Hive blows big time and
>> won't work with this great DB server ;(
>>
>
> Any idea what the issues are?

It also seems to be version dependent, I guess. Disclaimer: I don't
have a lot of exposure to Hive pairing up with different backend servers,
but I've noticed this:
    http://mail-archives.apache.org/mod_mbox/hive-user/201205.mbox/%3CCAJqeMKRrMKvLAxMLjhscCt=D4O_C2GJgsUAeh6d=qsUtyGtw4Q@mail.gmail.com%3E

Given that we've got Hive 0.9.0 in the BOM for the Bigtop 0.3.1
perhaps PostgreSQL issue is not longer there?

> As I'm supposed to be on-call in the future,
> I'm very interested in using PostgreSQL with Hadoop.

+1 on that -- I think it would be REALLY nice to have
our Puppet code enhanced for being able to deploy
PostgreSQL for all of the backing stores that we need
to have (Hive, Oozie, Sqoop, anything else?).

Thanks,
Roman.

Mime
View raw message